module RackCheck::Spec
  RSpec.describe "Running rackup files" do
    it "runs hello world rack applications" do
      begin
      s = ServerManager.new RackCheck::Spec::server_context, %Q{
        run ->(env) { [200, {"Content-Type" => "text/html"}, ["Hello World!"]] }
      }

      endpoint = s.run
      result = HTTP.get(endpoint).to_s

      expect(result).to eq "Hello World!"
      ensure
        s.stop
      end
    end
  end
end
