module RackCheck::Helpers

$environments_count = 0

def with_environment(ru_file)
  dir_name = "/tmp/rack-check/environment-#{$environments_count += 1}"
  previous_wd = FileUtils.getwd

  FileUtils.mkdir_p dir_name
  File.write(dir_name + '/config.ru', ru_file)

  yield(dir_name)

ensure
  FileUtils.rm_rf dir_name
end

end
